libosmo-sigtran: osmo_sccp_instance Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
osmo_sccp_instance Struct Reference

`#include <sccp_instance.h>`

## Data Fields
struct llist_head | list
struct rb_root | connections
struct llist_head | users
uint32_t | route_ctx
uint32_t | next_id
struct osmo_ss7_instance * | ss7
void * | priv
struct osmo_ss7_user * | ss7_user
struct osmo_tdef * | tdefs
uint32_t | max_optional_data
struct {
struct osmo_timer_list timer
struct llist_head queue
} | rout_fail_pending

## Field Documentation

## ◆ connections

struct rb_root osmo_sccp_instance::connections

Referenced by conn_add_node(), osmo_sccp_instance_destroy(), sccp_conn_alloc(), sccp_conn_free(), sccp_find_conn_by_id(), sccp_show_connections(), and sccp_user_flush_connections().

## ◆ list

struct llist_head osmo_sccp_instance::list

Referenced by osmo_sccp_instance_create(), and osmo_sccp_instance_destroy().

## ◆ max_optional_data

uint32_t osmo_sccp_instance::max_optional_data

Referenced by osmo_sccp_instance_create(), osmo_sccp_vty_write_cs7_node(), xua_opt_data_cache_keep(), and xua_opt_data_length_lim().

## ◆ next_id

uint32_t osmo_sccp_instance::next_id

Referenced by osmo_sccp_instance_next_conn_id().

## ◆ priv

void* osmo_sccp_instance::priv

Referenced by osmo_sccp_get_priv(), osmo_sccp_instance_create(), and osmo_sccp_set_priv().

## ◆ queue

struct llist_head osmo_sccp_instance::queue

Referenced by osmo_sccp_instance_create(), rout_fail_pending_cb(), and sccp_rout_fail_enqueue().

## ◆

struct { ... } osmo_sccp_instance::rout_fail_pending

Referenced by osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), rout_fail_pending_cb(), and sccp_rout_fail_enqueue().

## ◆ route_ctx

uint32_t osmo_sccp_instance::route_ctx

Referenced by gen_coref_without_conn(), gen_ret_msg(), tx_rlsd_from_xua_twoway(), xua_gen_msg_co(), and xua_gen_relre().

## ◆ ss7

struct osmo_ss7_instance* osmo_sccp_instance::ss7

Referenced by dpc_accessible(), gen_mtp_transfer_req_xua(), osmo_sccp_get_ss7(), osmo_sccp_inst_addr_name(), osmo_sccp_inst_addr_to_str_buf(), osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), osmo_sccp_local_addr_by_instance(), osmo_sccp_simple_server_add_clnt(), osmo_sccp_user_name(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_inval_opc(), sccp_user_bind_pc(), scrc_local_out_common(), scrc_node_6(), scrc_translate_node_9(), show_user(), sua2sccp_tx_m3ua(), and vty_show_connection().

## ◆ ss7_user

struct osmo_ss7_user* osmo_sccp_instance::ss7_user

Referenced by osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), and sua2sccp_tx_m3ua().

## ◆ tdefs

struct osmo_tdef* osmo_sccp_instance::tdefs

Referenced by DEFUN_ATTR(), osmo_sccp_instance_create(), sccp_timer_schedule(), and write_sccp_timers().

## ◆ timer

struct osmo_timer_list osmo_sccp_instance::timer

Referenced by osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), and sccp_rout_fail_enqueue().

## ◆ users

struct llist_head osmo_sccp_instance::users

Referenced by DEFUN(), osmo_sccp_instance_create(), osmo_sccp_instance_destroy(), sccp_lbcs_local_bcast_pcstate(), sccp_lbcs_local_bcast_state(), sccp_user_alloc(), and sccp_user_find().

The documentation for this struct was generated from the following file:

- src/sccp_instance.h